Token payroll

Update Token Payroll

Updates a DRAFT token payroll's dates, currency and existing contributors' amounts, looked up by external payroll ID.

POSThttps://api.toku.com/stablecoin-payroll/update-token-payroll

Not available to API keys yet. It will need payroll:write.

curl --request POST \
  --url 'https://api.toku.com/stablecoin-payroll/update-token-payroll' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "externalPayrollID": "string",
  "payPeriodStart": "2026-01-01T00:00:00Z",
  "payPeriodEnd": "2026-01-01T00:00:00Z",
  "payDate": "2026-01-01T00:00:00Z",
  "fiatCurrency": "TRY",
  "contributors": [
    {
      "externalEmployeeID": "string",
      "email": "user@example.com",
      "totalPayrollAmount": 0,
      "totalDeductionAmount": 0,
      "netPayrollAmount": 0,
      "givenName": "string",
      "familyName": "string"
    }
  ]
}'
200 response
{
  "tokenPayroll": {
    "tokenPayrollID": "string",
    "paymentBackend": "string",
    "paymentOwnershipVersion": 0,
    "orgID": "string",
    "name": "string",
    "payPeriodStart": "string",
    "payPeriodEnd": "string",
    "payDate": "string",
    "externalPayrollID": "string",
    "fiatCurrency": "string",
    "payrollEntityId": "string",
    "state": "string",
    "type": "string",
    "payrollGroup": "string",
    "integrationEntityName": "string",
    "payrollIntegrationEntityId": "string",
    "isFiatPayrollComplete": true,
    "isTokenPayrollComplete": true,
    "fundingEmailSent": true,
    "adpDeductionsVerified": true,
    "payrollSyncedSource": "string",
    "isPlaceholder": true,
    "selectedTokenTypeID": "string",
    "isStablecoinOnlySettlement": true,
    "createdAt": "string",
    "updatedAt": "string"
  },
  "contributors": [
    {
      "contributorInTokenPayrollID": "string",
      "tokenPayrollID": "string",
      "roleInOrgID": "string",
      "invoicePaymentID": "string",
      "totalPayrollAmount": "string",
      "totalDeductionAmount": "string",
      "netPayrollAmount": "string",
      "currency": "string",
      "tokenTypeID": "string"
    }
  ]
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Body

application/json

externalPayrollIDstringrequired

Allowed: 1 to 200 characters

payPeriodStartstring<date-time>
payPeriodEndstring<date-time>
payDatestring<date-time>
fiatCurrencystring

Available options: TRY, ILS, CRC, TTD, SGD, JPY, AUD, NOK, INR, GBP, CHF, RUB, CAD, BRL, NGN, KRW, AED, LBP, EUR, NZD, ZAR, USD, USDC, USDT, USDP, PHP, PLN, RSD, HKD, TWD, AFN, AMD, ANG, AOA, ARS, AWG, AZN, BAM, BBD, BDT, BGN, BHD, BIF, BMD, BND, BOB, BSD, BTN, BWP, BYN, BZD, CDF, CLF, CLP, CNY, COP, CUC, CUP, CVE, CZK, DJF, DKK, DOP, DZD, EGP, ERN, ETB, FJD, FKP, GEL, GHS, GIP, GMD, GNF, GTQ, GYD, HNL, HRK, HTG, HUF, IDR, IQD, IRR, ISK, JMD, JOD, KES, KGS, KHR, KMF, KPW, KWD, KYD, KZT, LAK, LKR, LRD, LSL, LYD, MAD, MDL, MGA, MKD, MMK, MNT, MOP, MRU, MUR, MVR, MWK, MXN, MYR, MZN, NAD, NPR, NIO, OMR, PAB, PEN, PGK, PKR, PYG, QAR, RON, RWF, SAR, SBD, SCR, SDG, SHP, SLL, SOS, SRD, SSP, STN, SVC, SYP, SZL, TJS, TMT, TND, TOP, TZS, UAH, UGX, UYU, UZS, VES, VND, VUV, WST, XAF, XCD, XOF, XPF, YER, ZMW, SEK, THB

contributorsobject[]

Allowed: at most 10000 items

Show child attributes
externalEmployeeIDstringrequired

Allowed: 1 to 200 characters

emailstring<email>required
totalPayrollAmountnumberrequired
totalDeductionAmountnumberrequired
netPayrollAmountnumberrequired
givenNamestring

Allowed: at most 200 characters

familyNamestring

Allowed: at most 200 characters

Response

200Successful response
tokenPayrollobjectrequired
Show child attributes
tokenPayrollIDstringrequired
paymentBackendstring | nullrequired
paymentOwnershipVersionintegerrequired
orgIDstringrequired
namestring | nullrequired
payPeriodStartstringrequired
payPeriodEndstringrequired
payDatestringrequired
externalPayrollIDstring | nullrequired
fiatCurrencystringrequired
payrollEntityIdstring | nullrequired
statestringrequired
typestringrequired
payrollGroupstring | nullrequired
integrationEntityNamestring | nullrequired
payrollIntegrationEntityIdstring | nullrequired
isFiatPayrollCompletebooleanrequired
isTokenPayrollCompletebooleanrequired
fundingEmailSentbooleanrequired
adpDeductionsVerifiedbooleanrequired
importedDataanyrequired
payrollSyncedSourcestring | nullrequired
isPlaceholderbooleanrequired
selectedTokenTypeIDstring | nullrequired
isStablecoinOnlySettlementbooleanrequired
createdAtstringrequired
updatedAtstringrequired
contributorsobject[]required
Show child attributes
contributorInTokenPayrollIDstringrequired
tokenPayrollIDstringrequired
roleInOrgIDstringrequired
invoicePaymentIDstring | nullrequired
totalPayrollAmountstringrequired
totalDeductionAmountstringrequired
netPayrollAmountstringrequired
currencystring | nullrequired
tokenTypeIDstring | nullrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits